BSDPORTAL.RU

На этом сайте обсуждаются вопросы использования ОС FreeBSD
 Портал  •  Статьи  •  Форум  •  Wiki  •  Поиск  •  FAQ  •  Обои  •   Официальная документация  •  Новые темы 

Часовой пояс: UTC + 4 часа




Начать новую тему Ответить на тему  [ Сообщений: 2 ] 
Автор Сообщение
СообщениеДобавлено: Чт 04 июл, 2019 3:32 am 
Не в сети

Зарегистрирован: Чт 04 июл, 2019 3:30 am
Сообщения: 1
И так, здравствуйте форумчане, я пришёл сюда из-за того, что уже в порядке дней 4 никак не могу решить одну проблемку, ещё я обращался в тех. поддержку своего хостинга, они тоже пытались, что-то сделать, но у них так же не получилось.

Собственно проблема заключается в том, что я перевёл весь сервер на новые версии плагинов, а так же MySQL, поставил я версию R41-3, на винде всё работает шик и блеск, а на линуксе естественно я поставил static версию плагина, но тут при запуске сервера на FreeBSD, начала вылетать ошибка самого mysql, вот логи:
Цитата:
----------
Loaded log file: "server_log.txt".
----------

SA-MP Dedicated Server
----------------------
v0.3.7-R2, (C)2005-2015 SA-MP Team

[23:06:05]
[23:06:05] Server Plugins
[23:06:05] --------------
[23:06:05] Loading plugin: crashdetect.so
[23:06:05] CrashDetect v4.18.1 is OK.
[23:06:05] Loaded.
[23:06:05] Loading plugin: pawnraknet.so
[23:06:05] Pawn.RakNet plugin v1.2.0 by urShadow loaded
[23:06:05] Loaded.
[23:06:05] Loading plugin: mysql_static.so
[23:06:05] Failed (/lib/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by plugins/mysql_static.so))
[23:06:05] Loading plugin: streamer.so
[23:06:05] [debug] Server crashed due to an unknown error

вот эта строка: Failed (/lib/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by plugins/mysql_static.so)),
порыскав в интернете, там много решений, ну я сделал всё что казалось более адекватным, установил gcc-4.9, то бишь самый последний,
и теперь у меня показывает, что имеется GLIBCXX_3.4.20, и так же установились новые библиотеки где и имеется libstdc, правда там было два файла libstdc++.so.6 и libstdc++.so.6.0.20, но libstdc++.so.6 являлся симлинком на libstdc++.so.6.0.20, поэтому я тупо его удалил и переименовал libstdc++.so.6.0.20 в libstdc++.so.6, но эти библиотеки установились по адресу /usr/local/lib/gcc49/ но сервер ищет в /lib/ и я создал симлинк в /lib/, казалось бы всё должно работать, но ошибка всё продолжает появляться, и вот уже в полном без надёжии, я пишу сюда, дорогие форумчане, помогите пожалуйста, ведь я уже совершенно без понятия.
Если что, стоит FreeBSD 11.2, а эмуляция-linux_base-c7, т.к в порта доступно всего две linux_base-c7 и linux_base-c6


Вернуться к началу
 Профиль  
 
СообщениеДобавлено: Чт 04 июл, 2019 5:55 pm 
В сети
Модератор

Зарегистрирован: Сб 11 сен, 2004 6:33 am
Сообщения: 5274
Откуда: Москва
Для начала, не надо путать людей. Так и пишите что вы ставите мутный плагин для San Andreas Multiplayer, представляющий собой линуксовую библиотеку. Почему вы думаете что это будет работать? Там же есть исходники, соберите нормальную нативную версию.


Вернуться к началу
 Профиль  
 
Показать сообщения за:  Поле сортировки  
Начать новую тему Ответить на тему  [ Сообщений: 2 ] 

Часовой пояс: UTC + 4 часа


Кто сейчас на конференции

Зарегистрированные пользователи: AMDmi3


Вы не можете начинать темы
Вы не можете отвечать на сообщения
Вы не можете редактировать свои сообщения
Вы не можете удалять свои сообщения
Вы не можете добавлять вложения

Найти:
Создано на основе phpBB® Forum Software © phpBB Group
Русская поддержка phpBB
Яндекс.Метрика